Get customerContact connection by id
GET
/v1/WebBooking/WebBookings/getCustomerContactByFriendlyId/{id}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/getCustomerContactByFriendlyId/example';const options = {method: 'GET', headers: {system: 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/WebBooking/WebBookings/getCustomerContactByFriendlyId/example \ --header 'system: example'Returns a customerContact object
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Responses
Section titled “Responses”Success
Media typeapplication/json
object
contact
One of:
object
returning
boolean
id
integer format: int64
fname
string
lname
string
phone
string
mobile
string
fax
string
email
string
streetaddress
string
zipcode
string
city
string
newsletter
boolean
lastGrab
boolean
allowStoringForever
boolean
deliveryInfo
string
customer
One of:
object
id
integer format: int64
name
string
streetaddress
string
zipcode
string
city
string
orgNr
string
phone
string
fax
string
email
string
information
string
invoiceStreetaddress
string
invoiceZipCode
string
invoiceCity
string
invoiceCode1
string
invoiceCode2
string
invoiceCode3
string
customerNumber
string
accountManager
string
webpage
string
lastChangedUtc
string format: date-time
lastChangedBy
string
agreementLevel
integer format: int32
customerFriendlyId
string
allowInvoicing
boolean
Examplegenerated
{ "contact": { "returning": true, "id": 1, "fname": "example", "lname": "example", "phone": "example", "mobile": "example", "fax": "example", "email": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "newsletter": true, "lastGrab": true, "allowStoringForever": true, "deliveryInfo": "example" }, "customer": { "id": 1, "name": "example", "streetaddress": "example", "zipcode": "example", "city": "example", "orgNr": "example", "phone": "example", "fax": "example", "email": "example", "information": "example", "invoiceStreetaddress": "example", "invoiceZipCode": "example", "invoiceCity": "example", "invoiceCode1": "example", "invoiceCode2": "example", "invoiceCode3": "example", "customerNumber": "example", "accountManager": "example", "webpage": "example", "lastChangedUtc": "2026-04-15T12:00:00Z", "lastChangedBy": "example", "agreementLevel": 1 }, "customerFriendlyId": "example", "allowInvoicing": true}